Package org.codehaus.groovy.runtime.metaclass

# Class MethodMetaProperty.GetBeanMethodMetaProperty

java.lang.Object
groovy.lang.MetaProperty
org.codehaus.groovy.runtime.metaclass.MethodMetaProperty
org.codehaus.groovy.runtime.metaclass.MethodMetaProperty.GetBeanMethodMetaProperty

All Implemented Interfaces:
  `MetaMember`

Enclosing class:
  MethodMetaProperty

public static class MethodMetaProperty.GetBeanMethodMetaProperty extends MethodMetaProperty
Wrapper for a method realizing the property getter. WARNING: This class is for internal use only, don't use it for your APIs

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.codehaus.groovy.runtime.metaclass.MethodMetaProperty

  `MethodMetaProperty.GetBeanMethodMetaProperty, MethodMetaProperty.GetMethodMetaProperty`

- ## Field Summary

  ### Fields inherited from class groovy.lang.MetaProperty

  `name, PROPERTY_SET_PREFIX, type`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetBeanMethodMetaProperty(String name, MetaMethod theMethod)`
  Constructs a new GetBeanMethodMetaProperty.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `getProperty(Object object)`
  Gets the property value by invoking the metamethod without arguments.

  ### Methods inherited from class org.codehaus.groovy.runtime.metaclass.MethodMetaProperty

  `getMetaMethod, setProperty`

  ### Methods inherited from class groovy.lang.MetaProperty

  `getGetterName, getModifiers, getName, getSetterName, getType`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface groovy.lang.MetaMember

  `isFinal, isPackagePrivate, isPrivate, isProtected, isPublic, isStatic, isSynthetic`

- ## Constructor Details

  - ### GetBeanMethodMetaProperty

    public GetBeanMethodMetaProperty(String name, MetaMethod theMethod)
    Constructs a new GetBeanMethodMetaProperty.
    Parameters:
      `name` - the property name
      `theMethod` - the metamethod to use for getting the property

- ## Method Details

  - ### getProperty

    public Object getProperty(Object object)
    Gets the property value by invoking the metamethod without arguments. Typically used for getter methods that take no arguments.
    Overrides:
      `getProperty` in class `MethodMetaProperty`
    Parameters:
      `object` - the object to get the property from
    Returns:
      the property value (result of metamethod invocation)